Subject: bug#66655: 29.1; Clicking buttons sometimes doesn't work

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 13:57:21 +0300

> Date: Fri, 20 Oct 2023 20:27:19 +0000
> From: [email-masked]
> 
> If using =display-line-numbers-mode= with the =visual= style set for it,
> sometimes clicking buttons does not actually click it. It instead shifts
> the buffer slightly, either to the left or to the right, and a mark is
> set (by clicking I refer with the mouse, specifically). You will need to
> press again in order to actually click the button.
> 
> This is inconsistent, there's no guarantee that it will happen, it
> sometimes does, but it is often enough for you to be able to notice within
> just a couple of seconds of clicking through things.
> 
> You can launch =emacs -Q= and run these two lines:
> 
> (setq display-line-numbers-type 'visual)
> (global-display-line-numbers-mode)
> 
> Then just click through buttons. A good test is to open the emacs manual
> =C-h R emacs= since it has a big index.

Thanks, should be fixed now on the master branch.

I only tested this in Info buffers, so any testing with other kinds of
buttons/links will be welcome.

Stefan, I'd appreciate your review of the change, as this is a tricky
code, where we already had quite a few changes to avoid interpreting
an up-event as a drag event.